高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Instance Methods | Class Methods | Properties | List of all members
AMapNaviRideManager Class Reference

`#include <AMapNaviRideManager.h>`

Inheritance diagram for AMapNaviRideManager:

## Instance Methods
(instancetype) | - init
| 请使用单例替代. since 7.4.0 init已被禁止使用，请使用单例 [AMapNaviRideManager sharedInstance] 替代 Please use singleton instead. Since 7.4.0, init has been deprecated, please use the singleton [AMapNaviRideManager sharedInstance] instead.
(void) | - addEventListener:
| 增加用于接收导航回调事件的Listener, 效果等同于delegate. 注意:该方法不会增加实例对象的引用计数(Weak Reference). since 8.0.1 Add a Listener to receive navigation callback events, which is equivalent to a delegate. Note: This method does not increase the reference count of the instance object (Weak Reference)
(void) | - removeEventListener:
| 移除用于接收导航回调事件的Listener. since 8.0.1 Remove the Listener used to receive navigation callback events
(void) | - addDataRepresentative:
| 增加用于展示导航数据的DataRepresentative.注意:该方法不会增加实例对象的引用计数(Weak Reference) Add the DataRepresentative used to display navigation data. Note: This method will not increase the reference count of the instance object (Weak Reference)
(void) | - removeDataRepresentative:
| 移除用于展示导航数据的DataRepresentative Remove the DataRepresentative used to display navigation data
(NSDictionary< NSNumber *, AMapNaviRoute * > *) | - naviRoutes
| 多路径规划时的所有路径信息 since 7.5.0 All path information during multi-path planning
(NSArray< NSNumber * > *) | - naviRouteIDs
| 多路径规划时的所有路径ID,路径ID为 NSInteger 类型 since 7.5.0 All path IDs during multi-path planning, where path IDs are of type NSInteger
(BOOL) | - selectNaviRouteWithRouteID:
| 多路径规划时选择路径.注意:该方法仅限于在开始导航前使用,开始导航后该方法无效 since 7.5.0 Select route during multi-path planning.Note: This method can only be used before starting navigation and becomes invalid after navigation begins
(BOOL) | - calculateRideRouteWithEndPoint:
| 不带起点的骑行路径规划 Bike route planning without starting point
(BOOL) | - calculateRideRouteWithStartPoint:endPoint:
| 带起点的骑行路径规划 Bike route planning with starting point
(BOOL) | - calculateRideRouteWithStartPOIInfo:endPOIInfo:strategy:
| 根据高德POIInfo进行骑行路径规划. since 7.5.0 Plan the cycling route based on Amap POIInfo
(BOOL) | - calculateRideRouteWithStartPOIInfo:endPOIInfo:wayPOIInfos:strategy:
| POI算路。 since 9.3.5 POI routing.
(BOOL) | - calculateRideRouteWithStartPOIInfo:endPOIInfo:wayPOIInfos:strategy:callback:
| POI算路。 since 10.1.111 POI routing.
(BOOL) | - independentCalculateRideRouteWithStartPOIInfo:endPOIInfo:strategy:callback:
| 独立算路能力接口，可用于不干扰本次导航的单独算路场景. since 7.7.0 Independent routing capability interface, which can be used for standalone routing scenarios without interfering with the current navigation
(BOOL) | - independentCalculateRideRouteWithStartPOIInfo:endPOIInfo:wayPOIInfos:strategy:callback:
| 独立算路能力接口，可用于不干扰本次导航的单独算路场景。特别注意：当前接口为收费接口，您如果申请试用或者正式应用都请通过工单系统提交商务合作类工单进行沟通 https://lbs.amap.com/。since 9.3.5 Independent route calculation capability API, which can be used in standalone route calculation scenarios without interfering with the current navigation. Special note: This is a paid API. If you wish to apply for a trial or formal use, please submit a business cooperation ticket via the ticket system for communication https://lbs.amap.com/
(BOOL) | - recalculateRideRoute
| 导航过程中重新规划路径(起点为当前位置,终点位置不变) Re-planning the route during navigation (starting from the current location with the destination unchanged)
(BOOL) | - recalculateRideRouteWithCallback:
| 导航过程中重新规划路径(起点为当前位置,终点位置不变)。since 10.1.111 Re-planning the route during navigation (starting from the current location with the destination unchanged)
(void) | - setTimeForOneWord:
| 设置TTS语音播报每播报一个字需要的时间.根据播报一个字的时间和运行的速度,可以更改语音播报的触发时机. Set the time required for TTS voice broadcast to broadcast each word. Based on the time to broadcast a word and the speed of operation, the trigger timing of the voice broadcast can be changed.
(void) | - setTTSPlaying:
| 开发者请根据实际情况设置外界此时是否正在进行语音播报. since 7.4.0 Developers, please set whether external voice broadcast is currently ongoing based on the actual situation
(nullable AMapNaviStatisticsInfo *) | - getNaviStatisticsInfo
| 获取导航统计信息 Obtain navigation statistics
Instance Methods inherited from AMapNaviBaseManager
(BOOL) | - playTTS:forcePlay:
(void) | - pauseNaviSpeech
| 暂停内置导航语音播报，不影响导航状态。暂停期间产生的内置语音不会播报。 Pause built-in navigation voice prompts without affecting navigation state. Built-in prompts generated while paused will not be played.
(void) | - resumeNaviSpeech
| 恢复内置导航语音播报，不影响导航状态。 Resume built-in navigation voice prompts without affecting navigation state.
(void) | - setExternalLocation:isAMapCoordinate:
| 设置外部传入定位的信息 Set externally transmitted location information
(void) | - setEmulatorNaviSpeed:
| 设置模拟导航的速度,默认60 Set the speed of simulated navigation, default is 60
(BOOL) | - startEmulatorNavi
| 开始模拟导航. 注意：必须在路径规划成功的情况下，才能够开始模拟导航 Start simulated navigation. Note: Simulated navigation can only be started after successful route planning.
(BOOL) | - startGPSNavi
| 开始实时导航. 注意：必须在路径规划成功的情况下，才能够开始实时导航 Start real-time navigation. Note: Real-time navigation can only be started when the route planning is successful
(BOOL) | - startEmulatorNavi:
| 开始模拟导航. 注意：必须传入导航的路线组合routeGroup，才能够开始模拟导航. since 7.7.0 Start simulated navigation. Note: The routeGroup for navigation must be passed in to start simulated navigation. since 7.7.0
(BOOL) | - startGPSNavi:
| 开始实时导航. 注意：必须传入导航的路线组合routeGroup，才能够开始实时导航. since 7.7.0 Start real-time navigation. Note: The routeGroup of the navigation must be passed in to start real-time navigation. since 7.7.0
(BOOL) | - stopNavi
| 停止导航,包含实时导航和模拟导航 Stop navigation, including real-time navigation and simulated navigation
(void) | - pauseNavi
| 暂停导航,包含实时导航和模拟导航 Pause navigation, including real-time navigation and simulated navigation
(void) | - resumeNavi
| 继续导航,包含实时导航和模拟导航 Resume navigation, including real-time navigation and simulated navigation
(BOOL) | - readNaviInfoManual
| 实时导航中手动触发一次信息播报. 注意：该接口仅支持驾车和步行，骑行不支持此功能. Manually trigger an information broadcast during real-time navigation. Note: This interface only supports driving and walking, cycling does not support this function.
(NSString *) | - getStructuredInfoInRoute
| 获取行前结构体信息. since 10.1.300
(NSString *) | - getStructuredInfoInNavi
| 获取行中结构体信息. since 10.1.300
(nullable NSArray< AMapNaviGuide * > *) | - getNaviGuideList
| 获取导航路线的路线详情列表 Get the route details list of the navigation route

## Class Methods
(AMapNaviRideManager *) | + sharedInstance
| AMapNaviRideManager单例。注意：如果已经获取了AMapNaviDriveManager，需要调用destroyInstance方法销毁单例，再获取骑行导航单例。since 10.1.200。 AMapNaviRideManager singleton. Note: If AMapNaviDriveManager has already been obtained, you need to call the destroyInstance method to destroy the singleton before obtaining the bike navigation singleton.
(BOOL) | + destroyInstance
| 销毁AMapNaviRideManager单例. since 7.4.0 Destroy AMapNaviRideManager singleton
Class Methods inherited from AMapNaviBaseManager
(void) | + setAppLang:authCallback:
| 设置app语言类型和语音包路径，要确保AMapNaviDriveManager单例创建前设置。since 11.0.030 * Set the app language type and voice package path, ensure it is set before the singleton creation of AMapNaviDriveManager
(void) | + setAlcLogConfig:recordStorage:
| 设置ALC日志初始化配置，必须在导航任一manager单例创建前调用。since 11.1.080 Set ALC log initialization configuration. This must be called before creating any navigation manager singleton.

## Properties
id< AMapNaviRideManagerDelegate > | delegate
NSInteger | naviRouteID
AMapNaviRoute * | naviRoute
BOOL | isRecalculateRouteForYaw
AMapNaviGPSSignalStrength | gpsSignalStrength
Properties inherited from AMapNaviBaseManager
AMapNaviMode | naviMode
BOOL | screenAlwaysBright
BOOL | pausesLocationUpdatesAutomatically
BOOL | allowsBackgroundLocationUpdates
BOOL | enableExternalLocation
CLLocation * | externalLocation
BOOL | isUseInternalTTS
BOOL | isUseTextPlay

## Detailed Description

骑行导航管理类 Bike Navigation Management Class

## Method Documentation

## ◆ addDataRepresentative:

- (void) addDataRepresentative: |  | (id< AMapNaviRideDataRepresentable >) | aRepresentative |

增加用于展示导航数据的DataRepresentative.注意:该方法不会增加实例对象的引用计数(Weak Reference) Add the DataRepresentative used to display navigation data. Note: This method will not increase the reference count of the instance object (Weak Reference)

Parameters

  aRepresentative | 实现了 AMapNaviRideDataRepresentable 协议的实例 An instance that implements the AMapNaviRideDataRepresentable protocol

## ◆ addEventListener:

- (void) addEventListener: |  | (id< AMapNaviRideManagerDelegate >) | aListener |

增加用于接收导航回调事件的Listener, 效果等同于delegate. 注意:该方法不会增加实例对象的引用计数(Weak Reference). since 8.0.1 Add a Listener to receive navigation callback events, which is equivalent to a delegate. Note: This method does not increase the reference count of the instance object (Weak Reference)

Parameters

  aListener | 实现了 AMapNaviRideManagerDelegate 协议的实例 An instance that implements the AMapNaviRideManagerDelegate protocol

## ◆ calculateRideRouteWithEndPoint:

- (BOOL) calculateRideRouteWithEndPoint: |  | (AMapNaviPoint *) | endPoint |

不带起点的骑行路径规划 Bike route planning without starting point

Parameters

  endPoint | 终点坐标. Destination coordinates

Returns
  规划路径所需条件和参数校验是否成功，不代表算路成功与否 Whether the conditions and parameters required for route planning are successfully verified does not indicate whether the route calculation is successful

## ◆ calculateRideRouteWithStartPOIInfo:endPOIInfo:strategy:

- (BOOL) calculateRideRouteWithStartPOIInfo: |  | (nullable AMapNaviPOIInfo *) | startPOIInfo
endPOIInfo: |  | (nonnull AMapNaviPOIInfo *) | endPOIInfo
strategy: |  | (AMapNaviTravelStrategy) | strategy

根据高德POIInfo进行骑行路径规划. since 7.5.0 Plan the cycling route based on Amap POIInfo

Parameters

  startPOIInfo | 起点POIInfo, 参考 AMapNaviPOIInfo. 如果以“我的位置”作为起点,请传nil. 如果startPOIInfo不为nil,那么POIID合法,优先使用ID参与算路,否则使用坐标点 Starting point POIInfo, refer to AMapNaviPOIInfo. If 'My Location' is used as the starting point, please pass nil. If startPOIInfo is not nil, then the POIID is valid, and the ID is used for route calculation first; otherwise, the coordinate point is used
  endPOIInfo | 终点POIInfo, 参考 AMapNaviPOIInfo. 如果POIID合法,优先使用ID参与算路,否则使用坐标点. 注意:POIID和坐标点不能同时为空 Destination POIInfo, refer to AMapNaviPOIInfo. If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  strategy | 路径的计算策略，参考 AMapNaviTravelStrategy. Route calculation strategy, refer to AMapNaviTravelStrategy

Returns
  规划路径所需条件和参数校验是否成功，不代表算路成功与否 Whether the conditions and parameters required for route planning are successfully verified does not indicate whether the route calculation is successful

## ◆ calculateRideRouteWithStartPOIInfo:endPOIInfo:wayPOIInfos:strategy:

- (BOOL) calculateRideRouteWithStartPOIInfo: |  | (nullable AMapNaviPOIInfo *) | startPOIInfo
endPOIInfo: |  | (nonnull AMapNaviPOIInfo *) | endPOIInfo
wayPOIInfos: |  | (NSArray< AMapNaviPOIInfo * > *) | wayPOIInfos
strategy: |  | (AMapNaviTravelStrategy) | strategy

POI算路。 since 9.3.5 POI routing.

Parameters

  startPOIInfo | 起点POIInfo，如果以“我的位置”作为起点，请传nil。如果startPOIInfo不为nil，那么POIID合法，优先使用ID参与算路，否则使用坐标点。 Starting point POIInfo, If 'My Location' is used as the starting point, please pass nil. If startPOIInfo is not nil, then the POIID is valid, and the ID is used for route calculation first; otherwise, the coordinate point is used
  endPOIInfo | 终点POIInfo，如果POIID合法，优先使用ID参与算路，否则使用坐标点。注意：POIID和坐标点不能同时为空。 Destination POIInfo, If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  wayPOIInfos | 途经点POIInfo，最多支持16个途经点，超过16个会取前16个。如果POIID合法，优先使用ID参与算路，否则使用坐标点。 注意：POIID和坐标点不能同时为空。 Waypoint POIInfo, supports up to 16 waypoints, exceeding 16 will take the first 16. If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  strategy | 路径的计算策略。 Route calculation strategy

Returns
  规划路径所需条件和参数校验是否成功，不代表算路成功与否。 Whether the conditions and parameters required for route planning are successfully verified does not indicate whether the route calculation is successful

## ◆ calculateRideRouteWithStartPOIInfo:endPOIInfo:wayPOIInfos:strategy:callback:

- (BOOL) calculateRideRouteWithStartPOIInfo: |  | (nullable AMapNaviPOIInfo *) | startPOIInfo
endPOIInfo: |  | (nonnull AMapNaviPOIInfo *) | endPOIInfo
wayPOIInfos: |  | (NSArray< AMapNaviPOIInfo * > *) | wayPOIInfos
strategy: |  | (AMapNaviTravelStrategy) | strategy
callback: |  | (nullable void(^)(AMapNaviCalculateRouteResult *_Nullable routeResult)) | callback

POI算路。 since 10.1.111 POI routing.

Parameters

  startPOIInfo | 起点POIInfo，如果以“我的位置”作为起点，请传nil。如果startPOIInfo不为nil，那么POIID合法，优先使用ID参与算路，否则使用坐标点。 Starting point POIInfo, If 'My Location' is used as the starting point, please pass nil. If startPOIInfo is not nil, then the POIID is valid, and the ID is used for route calculation first; otherwise, the coordinate point is used
  endPOIInfo | 终点POIInfo，如果POIID合法，优先使用ID参与算路，否则使用坐标点。注意：POIID和坐标点不能同时为空。 Destination POIInfo, If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  wayPOIInfos | 途经点POIInfo，最多支持16个途经点，超过16个会取前16个。如果POIID合法，优先使用ID参与算路，否则使用坐标点。 注意：POIID和坐标点不能同时为空。 Waypoint POIInfo, supports up to 16 waypoints, exceeding 16 will take the first 16. If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  strategy | 路径的计算策略。 Route calculation strategy
  callback | 算路结果回调。一次算路，routeResult 中的 routeRequestId 与 算路成功、算路失败接口中返回的 routeRequestId 一致。 Route calculation result callback. For a single route calculation, the routeRequestId in the routeResult is consistent with the routeRequestId returned by the route success and route failure interfaces.

Returns
  规划路径所需条件和参数校验是否成功，不代表算路成功与否。 Whether the conditions and parameters required for route planning are successfully verified does not indicate whether the route calculation is successful

## ◆ calculateRideRouteWithStartPoint:endPoint:

- (BOOL) calculateRideRouteWithStartPoint: |  | (AMapNaviPoint *) | startPoint
endPoint: |  | (AMapNaviPoint *) | endPoint

带起点的骑行路径规划 Bike route planning with starting point

Parameters

  startPoint | 起点坐标. Starting point coordinates
  endPoint | 终点坐标. Destination coordinates

Returns
  规划路径所需条件和参数校验是否成功，不代表算路成功与否 Whether the conditions and parameters required for route planning are successfully verified does not indicate whether the route calculation is successful

## ◆ destroyInstance

+ (BOOL) destroyInstance |  |  |

销毁AMapNaviRideManager单例. since 7.4.0 Destroy AMapNaviRideManager singleton

Returns
  是否销毁成功. 如果返回NO，请检查单例是否被强引用 Whether the destruction was successful. If NO is returned, please check if the singleton is strongly referenced

## ◆ getNaviStatisticsInfo

- (nullable AMapNaviStatisticsInfo *) getNaviStatisticsInfo |  |  |

获取导航统计信息 Obtain navigation statistics

Returns
  导航统计信息,参考 AMapNaviStatisticsInfo 类. Navigation statistics information, refer to AMapNaviStatisticsInfo class

## ◆ independentCalculateRideRouteWithStartPOIInfo:endPOIInfo:strategy:callback:

- (BOOL) independentCalculateRideRouteWithStartPOIInfo: |  | (nullable AMapNaviPOIInfo *) | startPOIInfo
endPOIInfo: |  | (nonnull AMapNaviPOIInfo *) | endPOIInfo
strategy: |  | (AMapNaviTravelStrategy) | strategy
callback: |  | (nullable void(^)(AMapNaviRouteGroup *_Nullable routeGroup, NSError *_Nullable error)) | callback

独立算路能力接口，可用于不干扰本次导航的单独算路场景. since 7.7.0 Independent routing capability interface, which can be used for standalone routing scenarios without interfering with the current navigation

Parameters

  startPOIInfo | 起点POIInfo, 参考 AMapNaviPOIInfo. 如果以“我的位置”作为起点,请传nil. 如果startPOIInfo不为nil,那么POIID合法,优先使用ID参与算路,否则使用坐标点 Starting point POIInfo, refer to AMapNaviPOIInfo. If 'My Location' is used as the starting point, please pass nil. If startPOIInfo is not nil, then the POIID is valid, and the ID is used for route calculation first; otherwise, the coordinate point is used
  endPOIInfo | 终点POIInfo, 参考 AMapNaviPOIInfo. 如果POIID合法,优先使用ID参与算路,否则使用坐标点. 注意:POIID和坐标点不能同时为空 Destination POIInfo, refer to AMapNaviPOIInfo. If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  strategy | 路径的计算策略，参考 AMapNaviTravelStrategy. Route calculation strategy, refer to AMapNaviTravelStrategy
  callback | 算路完成的回调. 算路成功时，routeGroup 不为空；算路失败时，error 不为空，error.code参照 AMapNaviCalcRouteState. Callback for route calculation completion. When the route calculation is successful, routeGroup is not empty; when it fails, error is not empty, and error.code refers to AMapNaviCalcRouteState.

Returns
  规划路径所需条件和参数校验是否成功，不代表算路成功与否 Whether the conditions and parameters required for route planning are successfully verified does not indicate whether the route calculation is successful

## ◆ independentCalculateRideRouteWithStartPOIInfo:endPOIInfo:wayPOIInfos:strategy:callback:

- (BOOL) independentCalculateRideRouteWithStartPOIInfo: |  | (nullable AMapNaviPOIInfo *) | startPOIInfo
endPOIInfo: |  | (nonnull AMapNaviPOIInfo *) | endPOIInfo
wayPOIInfos: |  | (NSArray< AMapNaviPOIInfo * > *) | wayPOIInfos
strategy: |  | (AMapNaviTravelStrategy) | strategy
callback: |  | (nullable void(^)(AMapNaviRouteGroup *_Nullable routeGroup, NSError *_Nullable error)) | callback

独立算路能力接口，可用于不干扰本次导航的单独算路场景。特别注意：当前接口为收费接口，您如果申请试用或者正式应用都请通过工单系统提交商务合作类工单进行沟通 https://lbs.amap.com/。since 9.3.5 Independent route calculation capability API, which can be used in standalone route calculation scenarios without interfering with the current navigation. Special note: This is a paid API. If you wish to apply for a trial or formal use, please submit a business cooperation ticket via the ticket system for communication https://lbs.amap.com/

Parameters

  startPOIInfo | 起点POIInfo，如果以“我的位置”作为起点，请传nil。如果startPOIInfo不为nil，那么POIID合法，优先使用ID参与算路，否则使用坐标点。 Starting point POIInfo, If 'My Location' is used as the starting point, please pass nil. If startPOIInfo is not nil, then the POIID is valid, and the ID is used for route calculation first; otherwise, the coordinate point is used
  endPOIInfo | 终点POIInfo，如果POIID合法，优先使用ID参与算路，否则使用坐标点。注意：POIID和坐标点不能同时为空。 Destination POIInfo, If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  wayPOIInfos | 途经点POIInfo，最多支持16个途经点，超过16个会取前16个。如果POIID合法，优先使用ID参与算路，否则使用坐标点。注意：POIID和坐标点不能同时为空。 Waypoint POIInfo, supports up to 16 waypoints, exceeding 16 will take the first 16. If the POIID is valid, prioritize using the ID for route calculation; otherwise, use the coordinate point. Note: POIID and coordinate point cannot be empty simultaneously.
  strategy | 路径的计算策略。 Route calculation strategy
  callback | 算路完成的回调。算路成功时，routeGroup 不为空，算路失败时，error 不为空，error.code参照 AMapNaviCalcRouteState。 Callback for route calculation completion. When the route calculation is successful, routeGroup is not empty; when it fails, error is not empty, and error.code refers to AMapNaviCalcRouteState.

Returns
  规划路径所需条件和参数校验是否成功，不代表算路成功与否。 Whether the conditions and parameters required for route planning are successfully verified does not indicate whether the route calculation is successful

## ◆ init

- (instancetype) init |  |  |

请使用单例替代. since 7.4.0 init已被禁止使用，请使用单例 [AMapNaviRideManager sharedInstance] 替代 Please use singleton instead. Since 7.4.0, init has been deprecated, please use the singleton [AMapNaviRideManager sharedInstance] instead.

## ◆ naviRouteIDs

- (NSArray< NSNumber * > *) naviRouteIDs |  |  |

多路径规划时的所有路径ID,路径ID为 NSInteger 类型 since 7.5.0 All path IDs during multi-path planning, where path IDs are of type NSInteger

Returns
  返回多路径规划时的所有路径ID Returns all path IDs during multi-path planning

## ◆ naviRoutes

- (NSDictionary< NSNumber *, AMapNaviRoute * > *) naviRoutes |  |  |

多路径规划时的所有路径信息 since 7.5.0 All path information during multi-path planning

Returns
  返回多路径规划时的所有路径ID和路线信息 Returns all path IDs and route information during multi-path planning

## ◆ recalculateRideRoute

- (BOOL) recalculateRideRoute |  |  |

导航过程中重新规划路径(起点为当前位置,终点位置不变) Re-planning the route during navigation (starting from the current location with the destination unchanged)

Returns
  重新规划路径所需条件和参数校验是否成功， 不代表算路成功与否，如非导航状态下调用此方法会返回NO. The success of the conditions and parameter validation required for re-planning the route does not indicate whether the route calculation is successful. Calling this method outside of navigation will return NO.

## ◆ recalculateRideRouteWithCallback:

- (BOOL) recalculateRideRouteWithCallback: |  | (nullable void(^)(AMapNaviCalculateRouteResult *_Nullable routeResult)) | callback |

导航过程中重新规划路径(起点为当前位置,终点位置不变)。since 10.1.111 Re-planning the route during navigation (starting from the current location with the destination unchanged)

Parameters

  callback | 算路结果回调。一次算路，routeResult 中的 routeRequestId 与 算路成功、算路失败接口中返回的 routeRequestId 一致 Route calculation result callback. For a single route calculation, the routeRequestId in the routeResult is consistent with the routeRequestId returned by the route success and route failure interfaces.

Returns
  重新规划路径所需条件和参数校验是否成功， 不代表算路成功与否，如非导航状态下调用此方法会返回NO. The success of the conditions and parameter validation required for re-planning the route does not indicate whether the route calculation is successful. Calling this method outside of navigation will return NO.

## ◆ removeDataRepresentative:

- (void) removeDataRepresentative: |  | (id< AMapNaviRideDataRepresentable >) | aRepresentative |

移除用于展示导航数据的DataRepresentative Remove the DataRepresentative used to display navigation data

Parameters

  aRepresentative | 实现了 AMapNaviRideDataRepresentable 协议的实例 An instance that implements the AMapNaviRideDataRepresentable protocol

## ◆ removeEventListener:

- (void) removeEventListener: |  | (id< AMapNaviRideManagerDelegate >) | aListener |

移除用于接收导航回调事件的Listener. since 8.0.1 Remove the Listener used to receive navigation callback events

Parameters

  aListener | 实现了 AMapNaviRideManagerDelegate 协议的实例 An instance that implements the AMapNaviRideManagerDelegate protocol

## ◆ selectNaviRouteWithRouteID:

- (BOOL) selectNaviRouteWithRouteID: |  | (NSInteger) | routeID |

多路径规划时选择路径.注意:该方法仅限于在开始导航前使用,开始导航后该方法无效 since 7.5.0 Select route during multi-path planning.Note: This method can only be used before starting navigation and becomes invalid after navigation begins

Parameters

  routeID | 路径ID Route ID

Returns
  是否选择路径成功 Whether route selection is successful

## ◆ setTimeForOneWord:

- (void) setTimeForOneWord: |  | (int) | time |

设置TTS语音播报每播报一个字需要的时间.根据播报一个字的时间和运行的速度,可以更改语音播报的触发时机. Set the time required for TTS voice broadcast to broadcast each word. Based on the time to broadcast a word and the speed of operation, the trigger timing of the voice broadcast can be changed.

Parameters

  time | 每个字的播放时间(范围:[250,500]; 单位:毫秒) The playback time of each character (range: [250,500]; unit: milliseconds)

## ◆ setTTSPlaying:

- (void) setTTSPlaying: |  | (BOOL) | playing |

开发者请根据实际情况设置外界此时是否正在进行语音播报. since 7.4.0 Developers, please set whether external voice broadcast is currently ongoing based on the actual situation

Parameters

  playing | 如果外界正在播报语音，传入YES，否则传入NO. If external voice broadcast is ongoing, pass YES, otherwise pass NO

## ◆ sharedInstance

+ (AMapNaviRideManager *) sharedInstance |  |  |

AMapNaviRideManager单例。注意：如果已经获取了AMapNaviDriveManager，需要调用destroyInstance方法销毁单例，再获取骑行导航单例。since 10.1.200。 AMapNaviRideManager singleton. Note: If AMapNaviDriveManager has already been obtained, you need to call the destroyInstance method to destroy the singleton before obtaining the bike navigation singleton.

Returns
  AMapNaviRideManager实例 AMapNaviRideManager instance

## Property Documentation

## ◆ delegate

- (id<AMapNaviRideManagerDelegate>) delegate
| read write nonatomic weak

实现了 AMapNaviRideManagerDelegate 协议的类指针 Class pointer implementing the AMapNaviRideManagerDelegate protocol

## ◆ gpsSignalStrength

- (AMapNaviGPSSignalStrength) gpsSignalStrength
| read nonatomic assign

卫星定位信号强度类型,参考 AMapNaviGPSSignalStrength since 7.8.0 只有导航中获取卫星定位信号强弱的值有效 Satellite positioning signal strength type, refer to AMapNaviGPSSignalStrength, since 7.8.0 only the value obtained during navigation is valid

## ◆ isRecalculateRouteForYaw

- (BOOL) isRecalculateRouteForYaw
| read write nonatomic assign

偏航时是否重新计算路径,默认YES(需要联网). Whether to recalculate route when deviating, default is YES (requires internet connection).

## ◆ naviRoute

- (AMapNaviRoute*) naviRoute
| read nonatomic assign

当前导航路径的信息,参考 AMapNaviRoute 类. The information of the current navigation path, refer to the AMapNaviRoute class

## ◆ naviRouteID

- (NSInteger) naviRouteID
| read nonatomic assign

当前导航路径的ID The ID of the current navigation path

The documentation for this class was generated from the following file:

- AMapNaviRideManager.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。